Subject: Re: [AVTCORE] RFC6679 ECN in RTP: intent of ect = 0, 1, or random?

From: Piers O'Hanlon <[email-masked]>
Date: Mon, 19 Oct 2015 10:15:26 +0100

Hi Bob,

I think the reasoning was that ECT(1)/random could potentially be used to detect cheating/failures as mentioned in section 7.4, but I can't see that it's going to make a lot of difference if ECT(1) is not used. 

Piers

On 17 Oct 2015, at 22:59, Bob Briscoe wrote:

> Guys,
> [Ignore last identical email - I left the list off the distr in error]
> 
> I'm writing a draft to propose a new use for ECT(1).
> 
> In reading RFC6679, It says that the there is no intent to use an ECN nonce.
> Also it says the receiver might want to advise the sender not to use ect=random, if its behind a header compression link. And that ect=0 is recommended and the default.
> 
> But it doesn't seem to actually say why a sender might send ECT(1) instead of ECT(0). Or why a sender might use the two randomly. Or why a receiver might ask for ect=1, or ect=random.
> 
> I'm trying to work out whether there would be any detriment to RFC6679 if it couldn't use ECT(1). It looks like not.
> 
> 
> Bob
> 
> -- 
> ________________________________________________________________
> Bob Briscoe                               http://bobbriscoe.net/